<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Memory Game</title>
    <link rel="stylesheet" href="style.css" />
</head>

<body>
    <div class="container">
        <div class="game-container">

            <div id="gameStart" class="game-start">
                <div>
                    <h3>Welcome to</h3>
                    <h1>Memory Game!</h1>
                    <h4>Click Enter to play</h4>
                    <button class="enterBtn" id="enterBtn">Enter</i></button>
                </div>

            </div>

            <div id="gameUserName" class="game-level">
                <div>
                    <h3>Welcome to</h3>
                    <h1>Memory Game!</h1>
                    <h4 id="infoMsg-1">Enter You Name</h4>
                    <input id="name" type="text" placeholder="User Name">

                    <button class="enterBtn" id="userNameBtn">Next</i></button>
                </div>
            </div>
            <div id="gameUserEmail" class="game-level">
                <div>
                    <h3>Welcome to</h3>
                    <h1>Memory Game!</h1>
                    <h4 id="infoMsg-2">Enter You Email</h4>
                    <input id="email" type="email" placeholder="Email">

                    <button class="enterBtn" id="emailBtn">Next</i></button>
                </div>
            </div>

            <div id="gameLevel" class="game-level">
                <div>
                    <h3>Welcome to</h3>
                    <h1>Memory Game!</h1>
                    <h4 id="infoMsg-3">Select the Level</h4>
                    <input id="level" type="number" max="10" min="3" placeholder="Enter the Level (3-10)">

                    <button class="enterBtn" id="startBtn">Start</i></button>
                </div>
            </div>
            <div id="gamePlay" class="game-play">
                <div>

                    <h1>Memory Game!</h1>
                    <h2>Level <span id="levelSpan"></span></h2>
                    <h3>Best Score: <span id="score">0</span></h3>
                    <h4>Current Score: <span id="curscore">0</span></h4>
                    <button id="restartBtn"><i class="fa fa-refresh" aria-hidden="true"></i>Restart</button>
                    <div id="loader"> </div>
                    <div id="game" class="game-board">

                    </div>
                </div>
            </div>
            <div id="gameHighScore" class="game-start">
                <div>

                    <div id="game-highscore" class="game-score-board">
                        <table>
                            <tr>
                                <th>UserName</th>
                                <th>Score</th>
                                <th>UserMail</th>
                                <th>Date</th>
                            </tr>

                        </table>

                    </div>
                </div>
            </div>

        </div>
        <div id="modal" class="modal">
            <div class="modal-body">
                <div>
                    <span id="modalClose">&times;</span>
                    <h2>Do you want to Restart ?</h2>
                    <button id="restartYes">Yes</button>
                    <button id="restartNo">No</button>
                </div>

            </div>
        </div>
        <div id="modal-2" class="modal2">
            <div class="modal-body">
                <div>
                    <span id="modalClose2">&times;</span>
                    <h2>Congratulation You Won</h2>
                    <h3></h3>
                    <h4></h4>
                    <button id="restart">Restart</button>
                    <button id="scoreBoard">Score Board</button>
                </div>

            </div>
        </div>
        <div id="modal-3" class="modal3">
            <div class="modal-body">
                <div>
                    <h2>Score has been sent to your mail.</h2>
                </div>

            </div>
        </div>
    </div>
    <script src="script.js"></script>
</body>

</html>